Skip to main content
POST
/
v2
/
account
/
beneficiaries
/
bank-accounts
/
eur
Create EUR bank-account beneficiary
curl --request POST \
  --url https://api.example.com/v2/account/beneficiaries/bank-accounts/eur/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alias": "<string>",
  "iban": "<string>",
  "bic": "<string>",
  "country": "<string>",
  "bankBeneficiaryName": "<string>",
  "description": "<string>",
  "isBusiness": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json

Passthrough body. the platform service uses JSON tag bankBeneficiaryName for beneficiary name.

alias
string
required
iban
string
required
bic
string
required
country
string
required
bankBeneficiaryName
string
required
description
string
isBusiness
boolean

Response

OK

id
string<uuid>